summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_schedule_on_demand.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-05-15 14:31:07 +0200
committerHolger Levsen <holger@layer-acht.org>2015-05-15 14:31:07 +0200
commitafa16791745305232da12db2e38ed7f496a32828 (patch)
tree96651eac0d289ba1b78a0efda056ad568eef177a /bin/reproducible_schedule_on_demand.sh
parent1d58264c5031679b97c14f0040fed19753b978b4 (diff)
downloadjenkins.debian.net-afa16791745305232da12db2e38ed7f496a32828.tar.xz
reproducible: refuse to schedule more than 50 packages with notification
Diffstat (limited to 'bin/reproducible_schedule_on_demand.sh')
-rwxr-xr-xbin/reproducible_schedule_on_demand.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/reproducible_schedule_on_demand.sh b/bin/reproducible_schedule_on_demand.sh
index e2b0f7a4..6ae4af19 100755
--- a/bin/reproducible_schedule_on_demand.sh
+++ b/bin/reproducible_schedule_on_demand.sh
@@ -42,6 +42,13 @@ case "$1" in
esac
CANDIDATES="$@"
+if [ ${#} -gt 50 ] && $NOTIFY ; then
+ echo
+ figlet "No."
+ echo "Do not schedule more than 50 packages with notification. If you really really need to spam the IRC channel this much, use a loop to achieve that. Exiting."
+ echo
+ exit 1
+fi
check_candidates
if [ ${#PACKAGE_IDS} -gt 256 ] ; then
BLABLABLA="✂…"